package it.openutils.spring.validation.hibernate;

import org.springframework.validation.Errors;
import org.springframework.validation.Validator;


/**
 * @author fgiust
 * @version $Revision: 146 $ ($Author: fgiust $)
 */
public class NullValidator implements Validator
{

    /**
     * {@inheritDoc}
     */
    @SuppressWarnings("unchecked")
    public boolean supports(final Class command)
    {
        return true;
    }

    /**
     * {@inheritDoc}
     */
    public void validate(final Object command, final Errors errors)
    {
        return;
    }
}
